#region Namespace references
/// Microsoft .NET Framework namespaces
using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Security.Principal;
using System.Text;
/// Microsoft MCMS2002 namespaces
using Microsoft.ContentManagement.Publishing;
/// CustomPropertyDbEx namespaces
using ContentManagement.Extensions;
#endregion

namespace IIS_CmsExtensionAdmin
{
	/// <summary>
	/// Summary description for _Default.
	/// </summary>
	public class _Default : System.Web.UI.Page
	{
		#region Constants
		private const string	c_cmsObjectBrowserIframe = "<iframe id=\"CmsAssetBrowser\" src=\"CmsAssetBrowser.aspx?pmode={0}&tmode={1}\" frameborder=\"no\" runat=\"server\"></iframe>";
		#endregion

		#region Objects
		#endregion
		
		#region Designer Objects
		protected System.Web.UI.WebControls.TextBox SelectedGuid;
		protected System.Web.UI.HtmlControls.HtmlGenericControl CmsObjectPropertyDetail;
		protected Microsoft.Web.UI.WebControls.TabStrip EditorTabStrip;
		protected System.Web.UI.WebControls.DropDownList PublishingModeDropDownList;
		protected System.Web.UI.HtmlControls.HtmlGenericControl CmsAssetBrowser;
		protected Microsoft.Web.UI.WebControls.MultiPage RightPanelMultiPage;
		protected Microsoft.Web.UI.WebControls.TabStrip CmsTypeTabStrip;
		#endregion

		#region Constructor & Descructor
		#endregion

		#region Private/protected/internal methods
		/// <summary>
		/// Updates the Cms browser.
		/// </summary>
		private void UpdateCmsBrowser()
		{
			string browsertype;
			switch (CmsTypeTabStrip.SelectedIndex)
			{
				case 0:
					browsertype = "channel";
					break;
				case 1:
					browsertype = "template";
					break;
				case 2:
					browsertype = "resource";
					break;
				case 3:
					browsertype = "other";
					break;
				default:
					browsertype = "channel";
					break;
			}

			StringBuilder script = new StringBuilder();
			script.Append("<script language=javascript>");
			script.Append(string.Format("document.all.CmsAssetBrowser.src=\"CmsAssetBrowser.aspx?pmode={0}&tmode={1}\";", 
				this.PublishingModeDropDownList.SelectedValue,
				browsertype));
			script.Append("</script>");

			this.Page.RegisterStartupScript("BrowserUpdate", script.ToString());
		}
		#endregion

		#region Public methods
		#endregion

		#region Public properties
		#endregion

		#region Event Handlers
		/// <summary>
		/// Hanles event when the page is loaded.
		/// </summary>
		/// <param name="sender"></param>
		/// <param name="e"></param>
		private void Page_Load(object sender, System.EventArgs e)
		{
			// if first load, go ahead and load the Channel structure
			if (!IsPostBack)
			{
				// select the first item in the type selector tabstrip
				this.CmsTypeTabStrip.SelectedIndex = 0;
				this.CmsTypeTabStrip_DoSelectedIndexChange(null, null);

				this.EditorTabStrip.SelectedIndex = 0;
			}
			else
			{
			}
		}


		/// <summary>
		/// Handles event when the tab strip is clicked.
		/// </summary>
		/// <param name="sender"></param>
		/// <param name="e"></param>
		private void CmsTypeTabStrip_DoSelectedIndexChange(object sender, System.EventArgs e)
		{
			this.UpdateCmsBrowser();
		}


		/// <summary>
		/// Fired when the publishing mode changes.
		/// </summary>
		/// <param name="sender"></param>
		/// <param name="e"></param>
		private void PublishingModeDropDownList_DoSelectedIndexChanged(object sender, System.EventArgs e)
		{
			this.UpdateCmsBrowser();
		}
		#endregion

		#region Web Form Designer generated code
		/// <summary>
		/// Overrides the Page.Init method.
		/// </summary>
		/// <param name="e"></param>
		override protected void OnInit(EventArgs e)
		{
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.CmsTypeTabStrip.SelectedIndexChange += new EventHandler(CmsTypeTabStrip_DoSelectedIndexChange);
			this.PublishingModeDropDownList.SelectedIndexChanged += new System.EventHandler(this.PublishingModeDropDownList_DoSelectedIndexChanged);
			this.Load += new System.EventHandler(this.Page_Load);
		}
		#endregion
	}
}