#region Namespace references
using System;
#endregion

namespace ContentManagement.Extensions
{
	/// <summary>
	/// Enumeration of the <see cref="CustomPropertyDbEx"/> table fields.
	/// </summary>
	internal enum CustomPropertyTableField
	{
		/// <summary>
		/// MS SQL table field name (GUID/unique ID of the <see cref="CustomPropertyDbEx"/>.
		/// </summary>
		ID,
		/// <summary>
		/// MS SQL table field name (CMS asset type of the <see cref="CustomPropertyDbEx"/>).
		/// </summary>
		AssetType,
		/// <summary>
		/// MS SQL table field name (GUID/unique ID of the CMS asset the <see cref="CustomPropertyDbEx"/> 
		/// has been linked to).
		/// </summary>
		AssetID,
		/// <summary>
		/// MS SQL table field name (string key of the <see cref="CustomPropertyDbEx"/>).
		/// </summary>
		PropertyKey,
		/// <summary>
		/// MS SQL table field name (string value of the <see cref="CustomPropertyDbEx"/>).
		/// </summary>
		PropertyValue
	}
}