#region Namespace references
/// Microsoft .NET Framework namespaces
using System;
/// CustomPropertyDbEx namespaces
using ContentManagement.Extensions;
#endregion

namespace IIS_CmsExtensionAdmin
{
	/// <summary>
	/// Summary description for CmsAsset.
	/// </summary>
	public class CmsAsset
	{
		#region Objects
		private bool								m_canHaveProperties		= true;
		private Guid								m_assetID;
		private string							m_assetName;
		private CmsAssetCollection	m_children						= new CmsAssetCollection();
		private Type								m_assetType						= null;
		#endregion

		#region Public properties
		/// <summary>
		/// Guid of the CMS asset.
		/// </summary>
		public Guid ID
		{
			get{return this.m_assetID;}
			set{this.m_assetID = value;}
		}


		/// <summary>
		/// Display name of the asset.
		/// </summary>
		public string DisplayName
		{
			get{return this.m_assetName;}
			set{this.m_assetName = value;}
		}


		/// <summary>
		/// Collection of CMS assets.
		/// </summary>
		public CmsAssetCollection ChildAssets
		{
			get{return this.m_children;}
			set{this.m_children = value;}
		}


		/// <summary>
		/// Flag indicating if the CMS object can have properties.
		/// </summary>
		public bool CanHaveProperties
		{
			get{return this.m_canHaveProperties;}
			set{this.m_canHaveProperties = value;}
		}


		/// <summary>
		/// Type of CMS asset.
		/// </summary>
		public Type CmsAssetType
		{
			get{return this.m_assetType;}
			set{this.m_assetType = value;}
		}
		#endregion
	}
}